import { Transform } from 'node:stream';
import { AsyncCallback } from 'fill-pot-po';

/**
 * Creates a callback function that can handle fill-pot-po's returned results
 * @param {Transform} transform The transformer object processing the files.
 * @param {function} done The `done` callback provided inside the transformer's `transform` method.
 * @returns {AsyncCallback} Returns the callback function for the async version of `fill-pot-po` to use.
 */
declare const makeCallback: (transform: Transform, done: (error?: unknown) => unknown) => AsyncCallback;
/**
 * Run the PO generator.
 *
 * @param  {mixed} options
 *
 * @return {object} Writable and readable Node stream.Transform
 */
declare const gulpFillPotPo: (options: any) => Transform;

export { gulpFillPotPo as default, makeCallback };
